简单几步把debian 9升级到debian 10

2019年11月1日00:11:48 18 5,474

最近在用pacificrack的时候发现其后台只有debian 9,而debian 10发布之后很多新东西都很方便,对于debian\centos这样的Linux发型版本,如果我们不是有特殊的需求的情况下还是尽量追新吧。站长最近也打算抛弃ubuntu回归debian了。

不废话了:

更新

apt-get update && apt-get upgrade

备份一份

cp /etc/apt/sources.list /etc/apt/sources.list.orig

将/etc/apt/sources.list里所有“stretch”替换为“buster”

sed -i 's/stretch/buster/g' /etc/apt/sources.list

再更新一下

apt-get update && apt-get upgrade

执行升级命令

apt-get dist-upgrade

提示完成后重启

reboot

查看下当前debian版本

lsb_release -a


本站不对信息的真伪做任何的保障,请自行甄别,自负责任。
联系站长:QQ-3374457177,TG和Skype账号:hostwyn
QQ群:422536731本站TG群:https://t.me/zhujicepingcom
匿名

发表评论

匿名网友 填写信息

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen:

评论:18   其中:访客  0   博主  0
    • 小白 小白 2

      第二次更新的时候,到这里就不动了,换了3个VPS都是一样的问题:

      — Julian Andres Klode Fri, 06 Apr 2018 14:14:29 +0200

      apt (1.6~beta1) unstable; urgency=medium

        • Luke Luke 1

          @ 小白 多按几次翻页,然后按q继续。

        • 小白 小白 2

          知道了,第二次upgrade要用:apt-get dist-upgrade

            • gongyi gongyi

              @ 小白 debian10这次很激进,好多都是最新的。

            • 小白 小白 2

              还是一样的问题:

              apt (1.8.0~alpha3) unstable; urgency=medium

              The PATH for running dpkg is now configured by the option DPkg::Path,
              and defaults to “/usr/sbin:/usr/bin:/sbin:/bin”. Previous behavior of
              not changing PATH may be restored by setting the option to an empty string.

              Support for /etc/apt/auth.conf.d/ has been added, see apt_auth.conf(5).

              — Julian Andres Klode Tue, 18 Dec 2018 15:02:11 +0100

              apt (1.6~rc1) unstable; urgency=medium

              Seccomp sandboxing has been turned off by default for now. If it works
              for you, you are encouraged to re-enable it by setting APT::Sandbox::Seccomp
              to true.

              — Julian Andres Klode Fri, 06 Apr 2018 14:14:29 +0200

              apt (1.6~beta1) unstable; urgency=medium

              :

                • Luke Luke 1

                  @ 小白 按Q啦。

                • qinyang qinyang 2

                  这就是标准的官方升级!

                    • gongyi gongyi

                      @ qinyang 以前一直都是ubuntu很好升级,基本上命令完全一样。

                    • C C 7

                      博主竟然会操作Linux!

                        • gongyi gongyi

                          @ C 我没有,我不会,别乱说。

                        • dust dust 2

                          他家机子好多网站连不上了,东西都下不下来,一直是0%connection

                            • gongyi gongyi

                              @ dust 今天在技术在维护网络,全部都整理一下,我早上问了官方的人!

                                • dust dust 2

                                  @ gongyi 他家维护也不发个公告,还以为要他家药丸

                              • mmsccf mmsccf 2

                                不是 我就是想问一下 这图片是神马意思 看的我好过瘾 有没有链接神马的 我很需要的说

                                • jianjam jianjam 0

                                  硬盘IO 不到100MB.超售成啥样了。电信用pr太憋屈了,速度不到20kb,这就是叫对中国地区特变优化?cn
                                  2gt 还不如virmach 家的163网。申请退款工单2,3天了没人回复。真是服了这家

                                    • gongyi gongyi

                                      @ jianjam 硬盘IO 不到100MB.超售成啥样了。 你确定你懂什么是超售么?

                                    • 月下飞尘 月下飞尘 4

                                      唯一不爽的是系统实际是debian10,但控制面板还是显示debian9

                                        • gongyi gongyi

                                          @ 月下飞尘 这没有什么关系的,使用可以就行了! 顺带说下现在国外流行的solusvm面板实际上还是没有官方制作的debian系统,还不支持,已经有人用起来的都是第三方的模板。